<?php
/*
File Name: Wordpress Theme Toolkit
Version: 1.0
Author: Ozh
Author URI: http://planetOzh.com/
*/

/************************************************************************************
 * THEME USERS : don't touch anything !! Or don't ask the theme author for support :)
 ************************************************************************************/

include(dirname(__FILE__).'/themetoolkit.php');
include_once(dirname(__FILE__) . '/tiga.php');

/************************************************************************************
 * THEME AUTHOR : edit the following function call :
 ************************************************************************************/

themetoolkit(
	'tiga', /* Make yourself at home :
			* Name of the variable that will contain all the options of
			* your theme admin menu (in the form of an array)
			* Name it according to PHP naming rules (http://php.net/variables) */

	array(     /* Variables used by your theme features (i.e. things the end user will
			* want to customize through the admin menu)
			* Syntax :
			* 'option_variable' => 'Option Title ## optionnal explanations',
			* 'option_variable' => 'Option Title {radio|value1|Text1|value2|Text2} ## optionnal explanations',
			* 'option_variable' => 'Option Title {textarea|rows|cols} ## optionnal explanations',
			* 'option_variable' => 'Option Title {checkbox|option_varname1|value1|Text1|option_varname2|value2|Text2} ## optionnal explanations',
			* Examples :
			* 'your_age' => 'Your Age',
			* 'cc_number' => 'Credit Card Number ## I can swear I will not misuse it :P',
			* 'gender' => 'Gender {radio|girl|You are a female|boy|You are a male} ## What is your gender ?'
			* Dont forget the comma at the end of each line ! */
	/* Theme Options*/
	'ThemeOptions' => 'Theme Options {separator}',

	'AdsenseID' => 'Enter your Adsense pub-ID ## (Enter it in format pub-xxxxxxxxxxxxxxxx)',

        'recentPostsCnt' => 'Number of recent posts to display ## (eg. 10)',


	/*
	'setting2' => 'Stuff {textarea|6|50} ## Enter some text',
	'setting3' => 'Choice {radio|choice1|Choice One|choice2|Choice Two} ## Chose one.',
	'setting4' => 'Multiple choice {checkbox|mc1|happy|Are you Happy ?|mc2|human|Are you Human ?} ## Chose any',
	*/
	/*'debug' => 'debug', */  /* this is a fake entry that will activate the "Programmer's Corner"
			 * showing you vars and values while you build your theme. Remove it
			 * when your theme is ready for shipping */
	),
	__FILE__   /* Parent. DO NOT MODIFY THIS LINE !
				* This is used to check which file (and thus theme) is calling
				* the function (useful when another theme with a Theme Toolkit
				* was installed before */
);

/************************************************************************************
 * THEME AUTHOR : Congratulations ! The hard work is all done now :)
 *
 * From now on, you can create functions for your theme that will use the array
 * of variables $mytheme->option. For example there will be now a variable
 * $mytheme->option['your_age'] with value as set by theme end-user in the admin menu.
 ************************************************************************************/

/***************************************
 * Additionnal Features and Functions
 *
 * Create your own functions using the array
 * of user defined variables $mytheme->option.
 *
 **************************************/
/**************************************************************/

$default = array(
	/* Adsense Setup */
        'AdsenseID' => '',
        'recentPostsCnt' => '10',
);

/**************************************************************/

function tiga_getUserAgent()
{
	$useragent = getenv("HTTP_USER_AGENT");

	if (preg_match("/MSIE/i", "$useragent"))
	{
		$result = "IdiotExplorer";
	}
	else if (preg_match("/Mozilla/i", "$useragent"))
	{
		$result = "Mozilla";
	}
	else
	{
		$result = $useragent;
	}

	return $result;
}

/**************************************************************/

function tiga_processValue($key)
{
	global $tiga;
	return $tiga->option[$key];
}

/**************************************************************/

function tiga_getValue($key)
{
	global $tiga;

	switch ($key)
	{
		case 'Width':
			if (tiga_processValue($key) != 'none')
				print tiga_processValue($key) . 'px';
			else
				print 'none';
			break;

		default:
			print tiga_processValue($key);
			break;
	}
}


/**************************************************************/
/* General */
/**************************************************************/

function tiga_recentPostsCnt()
{
	global $tiga;

	return tiga_processValue('recentPostsCnt');
}

/**************************************************************/

// default options :
/* default values upon theme install */
if (!$tiga->is_installed())
{
	$result = $tiga->store_options($default);
}
?>